This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 314161 - Review Request: noip - Dynamic DNS client for no-ip.com
Review Request: noip - Dynamic DNS client for no-ip.com
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-10-01 12:50 EDT by Filip Brcic
Modified: 2008-11-06 15:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-14 01:33:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Filip Brcic 2007-10-01 12:50:40 EDT
Spec URL: http://brcha.no-ip.org/repo/SPECS/noip.spec
SRPM URL: http://brcha.no-ip.org/repo/SRPMS/noip-2.1.7-1.f7.src.rpm
Description: This is the dynamic DNS update client for no-ip.com. When installed, you must first run /etc/init.d/noip config to configure the client and afterwards you may put it into the /etc/rc.d/rcX.d directory (chkconfig --levels 35 noip on). This spec is ported from PLD Linux, but the newer version is used than in PLD Linux.

This is my first package and I would be grateful if somebody would like to be my sponsor.
Comment 1 Mamoru TASAKA 2007-11-07 06:14:15 EST
Well,

* For general packaging issue, you can refer to
  http://fedoraproject.org/wiki/Packaging/Guidelines
  http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
* You can also check your rpms using rpmlint (in rpmlint package)
  as "rpmlint *.rpm" "rpmlint noip" to detect general packaging
  mistakes.

A. For spec file:
A-1  Description section
  * Epoch
    - Please don't introduce Epoch from first.

  * License
    - License tag is now invalid. Please refer to
      http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
      http://fedoraproject.org/wiki/Licensing

  * Group
    - Group "Networking/Daemons" is invalid. You can check this
      by "rpmlint noip-*.src.rpm".
      And please refer to "rpmlint -I non-standard-group".

  * Initscripts related dependency
    - Please refer to the section "Services" of
      http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

  * BuildRoot
    - The valid BuildRoot for Fedora is also written on
      http://fedoraproject.org/wiki/Packaging/Guidelines

A-2 %prep, %build, %install, %clean section
  * Macros consistency
    - If you want to use macros for commands, please use them consistently.
      For example, you use %__make, but you don't use %__rm or %__install.
    - And please use %_initrddir for /etc/rc.d/init.d

A-3 scriptlets section
  * service-default-enabled
    - service should not be enabled by default
      - Please remove "service noip restart" from %post. If you want to
        do this, this must be "condrestart".
      - And the line
----------------------------------------------------------
# chkconfig:    2345 15 89
----------------------------------------------------------
        in %_initrddir/noip should be
----------------------------------------------------------
# chkconfig:    - 15 89
----------------------------------------------------------
  * Typo?
    - What is %service in %preun scriptlet?

A-4 %files entry
  * nobody owner
    - Usually a daemon should be run as a unique owner.
      For this package, you should create "noip" user/group for example
      and noip script should be run as noip user.
      Please also refer to:
      http://fedoraproject.org/wiki/Packaging/UsersAndGroups
      for how to create user/group.

B. The rest rpmlint issue:
  - For rpmlint issue, you can see the explanation of them by
    "rpmlint -I mixed-use-of-spaces-and-tabs", for example
    Please remove rpmlint issue as much as possible.

    If you have some reasons the rpmlint complaint should not be
    fixed, please write the reasons on this bug.

C. Some notes
  * For %_initrddir/noip:
    - For example, perhaps the line:
----------------------------------------------------------
noip=${NOIP-/usr/sbin/noip}
----------------------------------------------------------
      is the typo of
----------------------------------------------------------
noip=${NOIP:-/usr/sbin/noip}
----------------------------------------------------------
      , isn't it?
Comment 2 Mamoru TASAKA 2007-11-17 08:20:39 EST
ping?
Comment 3 Mamoru TASAKA 2007-11-26 07:53:51 EST
ping again?
Comment 4 Mamoru TASAKA 2007-12-03 07:48:02 EST
This bug will be closed if no response from the reporter is received
by 2007-Dec-14 (last my comment 1 + 1 month + 1 week)
Comment 5 Mamoru TASAKA 2007-12-14 01:33:25 EST
Closing.

If someone wants to import this package info Fedora, please submit
a new review request, thank you!
Comment 6 Susi Lehtola 2008-11-06 15:25:54 EST
New package review request at:

https://bugzilla.redhat.com/show_bug.cgi?id=470354

Note You need to log in before you can comment on or make changes to this bug.